"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_tester_1 = require("@typescript-eslint/rule-tester");
const my_rule_1 = require("./my-rule");
const ruleTester = new rule_tester_1.RuleTester({
    parser: '@typescript-eslint/parser',
    parserOptions: {
        ecmaFeatures: {
            jsx: true,
        },
    },
});
ruleTester.run('eslint-plugin/my-rule', my_rule_1.myRule, {
    valid: [
        {
            // a code snippet that should pass the linter
            code: `const x = 5;`,
        },
        {
            code: `let y = 'abc123';`,
        },
    ],
    invalid: [
        {
            code: `var z = 'foo'`,
            errors: [
                {
                    messageId: 'issue:var',
                    suggestions: [
                        {
                            messageId: 'fix:let',
                            output: `let z = 'foo'`,
                        },
                        {
                            messageId: 'fix:const',
                            output: `const z = 'foo'`,
                        }
                    ]
                },
            ],
        },
    ],
});
